Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.flex.config
Class FlexConfigurationManager

    java.lang.Object
      org.springframework.flex.config.FlexConfigurationManager

All Implemented Interfaces:
  ConfigurationManager, ResourceLoaderAware

    public class FlexConfigurationManager

extends Object
implements ConfigurationManager, ResourceLoaderAware

Implementation of `ConfigurationManager` that uses Spring's `ResourceLoader` abstraction for resolving BlazeDS xml configuration files.

Author:
  Jeremy Grelle

Nested Class Summary
`static class` | `FlexConfigurationManager.NoOpLoginCommand` This LoginCommand implementation serves as a temporary placeholder in the case where none is defined in services-config.xml and a Spring-configured LoginCommand may be injected later.

Field Summary
`static String` | `DEFAULT_CONFIG_PATH`

Fields inherited from interface flex.messaging.config.ConfigurationManager
`LOG_CATEGORY`

Constructor Summary
`FlexConfigurationManager()` Create a new FlexConfigurationManager using the default configuration path.
`FlexConfigurationManager(ResourceLoader resourceLoader, String configurationPath)` Create a new FlexConfigurationManager with the given `ResourceLoader` and configuration path.

Method Summary
`MessagingConfiguration` | `getMessagingConfiguration(javax.servlet.ServletConfig servletConfig)` Parses the BlazeDS config files and returns a populated MessagingConfiguration
`void` | `reportTokens()`
`void` | `setConfigurationParser(ConfigurationParser parser)` Sets the parser to be used in building a MessagingConfiguration.
`void` | `setConfigurationPath(String configurationPath)` Set the path for the BlazeDS XML configuration file.
`void` | `setResourceLoader(ResourceLoader resourceLoader)` Set the `ResourceLoader` to be used to load BlazeDS XML configuration resources

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_CONFIG_PATH

    public static final String DEFAULT_CONFIG_PATH

See Also:
  Constant Field Values

Constructor Detail

### FlexConfigurationManager

    public FlexConfigurationManager()

  Create a new FlexConfigurationManager using the default configuration path.

### FlexConfigurationManager

    public FlexConfigurationManager(ResourceLoader resourceLoader,
                                    String configurationPath)

  Create a new FlexConfigurationManager with the given `ResourceLoader` and configuration path.

  Parameters:
    `resourceLoader` - the `ResourceLoader` to be used in loading the BlazeDS config files.
    `configurationPath` - the path to the top-level BlazeDS config file (usually services-config.xml)

Method Detail

### getMessagingConfiguration

    public MessagingConfiguration getMessagingConfiguration(javax.servlet.ServletConfig servletConfig)

  Parses the BlazeDS config files and returns a populated MessagingConfiguration

  Specified by:
    `getMessagingConfiguration` in interface `ConfigurationManager`
  Parameters:
    `servletConfig` - the servlet config for the web application

### reportTokens

    public void reportTokens()

  Specified by:
    `reportTokens` in interface `ConfigurationManager`

### setConfigurationParser

    public void setConfigurationParser(ConfigurationParser parser)

  Sets the parser to be used in building a MessagingConfiguration. Defaults to a JAXP 1.3+ XPath based implementation.

  Parameters:
    `parser` - the configuration parser to be used

### setConfigurationPath

    public void setConfigurationPath(String configurationPath)

  Set the path for the BlazeDS XML configuration file.

  Parameters:
    `configurationPath` - the path for the configuration file

### setResourceLoader

    public void setResourceLoader(ResourceLoader resourceLoader)

  Set the `ResourceLoader` to be used to load BlazeDS XML configuration resources

  Specified by:
    `setResourceLoader` in interface `ResourceLoaderAware`
  Parameters:
    `resourceLoader` - the `ResourceLoader` for loading configuration resources

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.